KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API4o Image API
Veo3.1 APIRunway APIFlux Kontext API
Suno API4o Image API
Veo3.1 APIRunway APIFlux Kontext API
  1. 4o Image API
  • 4o Image API 快速开始
  • 4o 图片生成回调
  • 生成4o图像
    POST
  • 获取4o图像详情
    GET
  • 获取直接下载URL
    POST
  1. 4o Image API

获取4o图像详情

GET
/api/v1/gpt4o-image/record-info
通过taskId查询4o图像生成任务的详细信息,包括生成状态、参数和结果等。

状态说明#

GENERATING: 生成中
SUCCESS: 生成成功
CREATE_TASK_FAILED: 创建任务失败
GENERATE_FAILED: 生成失败

注意事项#

单任务查询最多一秒钟3次

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
请求成功
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/gpt4o-image/record-info?taskId=task12345' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "task12345",
        "paramJson": "{\"prompt\":\"A beautiful sunset over the mountains\",\"size\":\"1:1\",\"isEnhance\":false}",
        "completeTime": 1672574400000,
        "response": {
            "resultUrls": [
                "https://example.com/result/image1.png"
            ]
        },
        "successFlag": 1,
        "status": "SUCCESS",
        "errorCode": null,
        "errorMessage": "",
        "createTime": 1672561200000,
        "progress": "1.00"
    }
}
Previous
生成4o图像
Next
获取直接下载URL
Built with